<?php
    
    use yii\db\Migration;
    
    /**
     * Handles the creation for table `articles_lang`.
     */
    class m160926_122456_create_articles_lang_table extends Migration
    {
        
        /**
         * @inheritdoc
         */
        public function up()
        {
            $this->createTable('articles_lang', [
                'articles_id'      => $this->integer()
                                           ->notNull(),
                'language_id'      => $this->integer()
                                           ->notNull(),
                'title'            => $this->string()
                                           ->notNull(),
                'body'             => $this->text()
                                           ->notNull(),
                'meta_title'       => $this->string(),
                'meta_keywords'    => $this->string(),
                'meta_description' => $this->string(),
                'seo_text'         => $this->text(),
                'h1'               => $this->string(),
                'body_preview'     => $this->text(),
            ]);
            
            $this->createIndex('articles_lang_article_language_key', 'articles_lang', [
                'articles_id',
                'language_id',
            ], true);
    
            $this->addForeignKey('articles_fk', 'articles_lang', 'articles_id', 'articles', 'id', 'CASCADE', 'CASCADE');
            $this->addForeignKey('language_fk', 'articles_lang', 'language_id', 'language', 'language_id', 'RESTRICT', 'CASCADE');
        }
        
        /**
         * @inheritdoc
         */
        public function down()
        {
            $this->dropTable('articles_lang');
        }
    }
